eth_getStorageAt - Worldchain
Example code for the eth_getStorageAt JSON-RPC method. Complete guide on how to use eth_getStorageAt JSON-RPC in GetBlock Web3 documentation.
Returns the value at a given storage position on the World Chain network.
Parameters
Parameter
Type
Description
address
string
The address of the storage (20 bytes)
position
string
The position in the storage (hex)
blockNumber
string
Block number in hex, or "latest", "earliest", "pending"
Request
curl --location --request POST 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{
"jsonrpc": "2.0",
"method": "eth_getStorageAt",
"params": ["0x1234567890123456789012345678901234567890", "0x0", "latest"],
"id": "getblock.io"
}'import axios from 'axios';
const data = JSON.stringify({
"jsonrpc": "2.0",
"method": "eth_getStorageAt",
"params": ["0x1234567890123456789012345678901234567890", "0x0", "latest"],
"id": "getblock.io"
});
const config = {
method: 'post',
url: 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/',
headers: {
'Content-Type': 'application/json'
},
data: data
};
axios(config)
.then(response => console.log(JSON.stringify(response.data)))
.catch(error => console.log(error));Response
{
"jsonrpc": "2.0",
"id": "getblock.io",
"result": "0x0000000000000000000000000000000000000000000000000000000000000001"
}Response Parameters
Field
Type
Description
result
string
The value at this storage position
Use Case
The eth_getStorageAt method on World Chain is typically used for:
Reading contract state
Debugging contracts
State verification
Contract analysis
Error Handling
Status Code
Error Message
Cause
403
Forbidden
Missing or invalid ACCESS-TOKEN
Web3 Integration
Last updated
Was this helpful?